Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.ode.bpel.rapi
Enum OdeRTInstance.InvokeResponseType

    java.lang.Object
      java.lang.Enum<OdeRTInstance.InvokeResponseType>
          org.apache.ode.bpel.rapi.OdeRTInstance.InvokeResponseType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<OdeRTInstance.InvokeResponseType>

Enclosing interface:
  OdeRTInstance

    public static enum OdeRTInstance.InvokeResponseType

extends java.lang.Enum<OdeRTInstance.InvokeResponseType>

Enum Constant Summary
`FAILURE`
`FAULT`
`REPLY`

Method Summary
`static OdeRTInstance.InvokeResponseType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OdeRTInstance.InvokeResponseType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### REPLY

    public static final OdeRTInstance.InvokeResponseType REPLY

### FAULT

    public static final OdeRTInstance.InvokeResponseType FAULT

### FAILURE

    public static final OdeRTInstance.InvokeResponseType FAILURE

Method Detail

### values

    public static final OdeRTInstance.InvokeResponseType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(OdeRTInstance.InvokeResponseType c : OdeRTInstance.InvokeResponseType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static OdeRTInstance.InvokeResponseType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD